local WorldFlagGetCanEffectMessage = BaseClass("WorldFlagGetCanEffectMessage", SFSBaseMessage)
local base = SFSBaseMessage
local Localization = CS.GameEntry.Localization
local OnCreate = function(self)
  base.OnCreate(self)
  self.sfsObj:PutInt("worldId", LuaEntry.Player:GetCurWorldId())
end
local HandleMessage = function(self, t)
  base.HandleMessage(self, t)
  local errCode = t.errorCode
  if errCode ~= nil then
    UIUtil.ShowTipsId(errCode)
  else
    DataCenter.WarFlagDataManager:InitFlagAboutMe(t)
  end
end
WorldFlagGetCanEffectMessage.OnCreate = OnCreate
WorldFlagGetCanEffectMessage.HandleMessage = HandleMessage
return WorldFlagGetCanEffectMessage
